# Recoll user manual
The main configuration file, recoll.conf

Sidebar | Prev | Up | Next

#### Parameters affecting where and how we store things:

`dbdir`

  The name of the Xapian data directory. It will be created if needed when the index is initialized. If this is not an absolute path, it will be interpreted relative to the configuration directory. The value can have embedded spaces but starting or trailing spaces will be trimmed. You cannot use quotes here.

`idxstatusfile`

  The name of the scratch file where the indexer process updates its status. Default: `idxstatus.txt` inside the configuration directory.

`maxfsoccuppc`

  Maximum file system occupation before we stop indexing. The value is a percentage, corresponding to what the "Capacity" df output column shows. The default value is 0, meaning no checking.

`mboxcachedir`

  The directory where mbox message offsets cache files are held. This is normally $RECOLL_CONFDIR/mboxcache, but it may be useful to share a directory between different configurations.

`mboxcacheminmbs`

  The minimum mbox file size over which we cache the offsets. There is really no sense in caching offsets for small files. The default is 5 MB.

`webcachedir`

  This is only used by the web browser plugin indexing code, and defines where the cache for visited pages will live. Default: `$RECOLL_CONFDIR/webcache`

`webcachemaxmbs`

  This is only used by the web browser plugin indexing code, and defines the maximum size for the web page cache. Default: 40 MB. Quite unfortunately, this is only taken into account when creating the cache file. You need to delete the file for a change to be taken into account.

`idxflushmb`

  Threshold (megabytes of new text data) where we flush from memory to disk index. Setting this can help control memory usage. A value of 0 means no explicit flushing, letting Xapian use its own default, which is flushing every 10000 (or XAPIAN_FLUSH_THRESHOLD) documents, which gives little memory usage control, as memory usage also depends on average document size. The default value is 10, and it is probably a bit low. If your system usually has free memory, you can try higher values between 20 and 80. In my experience, values beyond 100 are always counterproductive.

Prev | Up | Next
| Home |